<?php
// $Id: zoomit.theme.inc,v 1.1 2010/08/25 08:39:54 manarth Exp $

/**
 * @file
 * Theme handlers for the zoomit module.
 */

/**
 * Handler for theme('zoomit')
 *
 * @param Mixed $image If this is a STRING:
 *                     - $image should be a filepath to the image file.
 *                     If this is an OBJECT:
 *                     - $image should be a Drupal file object, or at least
 *                       provide a 'filepath' property.
 *
 * @return String
 * Embed-code to embed the zoomable image on the page.
 */
function theme_zoomit_image($image) {
  // check if the URL already has a zoomit ID.
  $key = base64_encode($src);
  $ids = variable_get('zoomit_processed', array());
  if(array_key_exists($key, $ids)) {
     $embed = $ids[$key];
  }
  else {
    module_load_include('inc', 'zoomit');
    $embed = zoomit_call($image);
  }
  
  $output = '';
  $output .= '<div style="height: 400px; border: 1px #369 solid; background: #000; color: #fff;" class="zoomit">';
  $output .= $embed;
  $output .= '</div>';
  return $output;
}
